# Method: savedQueries.list

- [HTTP request](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries/list#body.request_body)
- [Response body](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries/list#body.ListSavedQueriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries/list#try-it)

Lists all saved queries in a parent project/folder/organization.

### HTTP request

`GET https://cloudasset.googleapis.com/v1/{parent=*/*}/savedQueries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent project/folder/organization whose savedQueries are to be listed. It can only be using project/folder/organization number (such as "folders/12345")", or a project ID (such as "projects/my-project-id"). |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. The expression to filter resources. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. When `AND` and `OR` are both used in the expression, parentheses must be appropriately used to group the combinations. The expression may also contain regular expressions. See <https://google.aip.dev/160> for more information on the grammar. |
| `pageSize` | `integer` Optional. The maximum number of saved queries to return per page. The service may return fewer than this value. If unspecified, at most 50 will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `savedQueries.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `savedQueries.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response of listing saved queries.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "savedQueries": [ { object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries#SavedQuery`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `savedQueries[]` | ``object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/savedQueries#SavedQuery`)`` A list of savedQueries. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).